# onyx_buffer_pool – Configures Buffer Pool

New in version 2.8.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module provides declarative management of Onyx Buffer Pool configuration on Mellanox ONYX network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
memory_percent - |  | memory percent.
name - / required |  | pool name.

pool_type
-

Choices:
- lossless
- lossy ←

pool type.

switch_priority - |  | switch priority, range 1-7.

## Notes

Note

- Tested on ONYX 3.6.8130

## Examples

    - name: configure buffer pool
      onyx_buffer_pool:
        name: roce
        pool_type: lossless
        memory_percent: 50.00
        switch_priority: 3

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always | The list of configuration mode commands to send to the device. Sample: ['traffic pool roce type lossless', 'traffic pool roce memory percent 50.00', 'traffic pool roce map switch-priority 3']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Anas Badaha (@anasb)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.